Update a report

PUT https://app.cyrion.ai/api/reports/{report_id}

Update a report's content and/or status.

Path parameters

  • report_id (string, required)

Request body

  • assessment_type (string)
  • conclusion (string)
  • end_date (string)
  • executive_summary (string)
  • findings_json (string)
  • methodology (string)
  • project_name (string)
  • recommendations (string)
  • scope (string)
  • start_date (string)
  • status (string)
  • title (string)
  • version (string)

Responses

  • 200 Successful Response
  • 422 Validation Error